import { randomBytes } from 'crypto';
/**
 * Generates a random hex string
 * @param {Number} len Number of characters
 * @return {Promise<string>} Promise that resolves to a hex string
 */
export default (len = 16) => new Promise(res => {
    const SECRET_LENGTH = 16;
    randomBytes(SECRET_LENGTH, (err, r) => {
        res(r.toString('hex'));
    });
});
//# sourceMappingURL=random-hex.js.map